{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Nuevas Noticias {% endblock title %}

{% block stylesheets %}
	<style>
		@media screen and (max-width : 768px) {
			.col-md-4 {
			    padding: 0px 25% 0px 25%;
			}
		}
			
		.small-box {
    		text-align: left;
    	}
    	.small-box .icon {
    		display:block;
		}	
	</style>	
{% endblock %}

{% block body -%}
        
        	<section class="content-header">
	          <h1>
	            Noticias
	          </h1>
	        </section>

	        
        <section class="content">        
               	<div class="box box-warning">
	            	<div class="box-body">
	            		<div class="row">
	            			{% for entity in Noticias %}
	            				
	            				<div class="col-md-4">
	            					<div class="{{ entity.TipoNoticia }}">
	            						<div class="inner" style="word-wrap: break-word;">
							  				<label>Noticia #{{ entity.idNoticia }}</label>
											<p>{{ entity.TituloNoticia }}</p>
										</div>
										<div class="icon">
											{% if entity.TipoNoticia == "small-box bg-aqua" %}
											   	<i class="fa fa-bookmark"></i>
											{% elseif entity.TipoNoticia == "small-box bg-green" %}
											    <i class="fa fa-comment-o"></i>
											{% elseif entity.TipoNoticia == "small-box bg-yellow" %}
												<i class="glyphicon glyphicon-bullhorn"></i>
											{% elseif entity.TipoNoticia == "small-box bg-red"%} 
											   	<i class="glyphicon glyphicon-warning-sign"></i>
											{% endif %}
										</div>
										<a onclick="openDtlNoticia({{ entity.idNoticia }})" class="small-box-footer" style="cursor:pointer;">
											Más Información <i class="fa fa-arrow-circle-right"></i>
										</a>
						  			</div>
	            				</div> 
	            			
	            			{% endfor %}
	            		</div>
	            	</div>
		        </div>

		<!-- POP UP INFORMACION DETALLADA DE LA NOTICIA-->
        	<div class="modal" id="pp_dtl_noticia">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title">Noticia</h4>
                  </div>
                  <div class="modal-body" id="body_detalle_noticia">
                    	
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Salir</button>
                  </div>
                </div><!-- /.modal-content -->
              </div><!-- /.modal-dialog -->
            </div>

		</section>        

{% endblock %}

{% block javascripts %}
	<script type="text/template" id='detalle_noticia'>
  	<div class="row">
  		<div class="col-xs-12">
  			<% 
  			if(Info.TipoNoticia == "small-box bg-aqua")
      		{
  			%>
  				<div class="box box-info">
  			<% 
  			}else if(Info.TipoNoticia == "small-box bg-green")
      		{
  			%>
  				<div class="box box-success">
  			<% 
  			}else if(Info.TipoNoticia == "small-box bg-yellow")
      		{
  			%>
  				<div class="box box-warning">
  			<% 
  			}else if(Info.TipoNoticia == "small-box bg-red")
      		{
  			%>
  				<div class="box box-danger">
  			<% 
  			}else{
  			%>
  				<div class="box box-primary">
			<% 
  			}
  			%>  			
  				
	                <div class="box-header">
	                  <h3 class="box-title">Noticia #<%= Info.idNoticia %></h3>
	                </div>
	                <div class="row">
	                	<div class="col-xs-4">
							<img src=<%= Info.Imagen %> style="width: 100%;margin-left: 10%;" id="img_destino">
						</div>
						<div class="col-xs-8" style="text-align: center; font-size: 27px; font-weight: 600;word-wrap: break-word;">
							<%= Info.TituloNoticia %>	
						</div>
						<div class="col-xs-12" style="padding: 5px 29px; font-size: 15px; font-weight: 600; text-align: left;word-wrap: break-word;">
							<%= Info.Noticia %>
						</div>
						<div class="col-xs-6" style="padding: 5px 26px; text-align: center; font-weight: 600;word-wrap: break-word;">
							<label>Autor: </label> <%= Info.Usuario.fullname %>
						</div>
						<div class="col-xs-6" style="padding: 5px 26px; text-align: center; font-weight: 600;word-wrap: break-word;">
							<% 
				  			if(Info.URL)
				      		{
				  			%>
				  			<label>Link de consulta: </label>   <a href="<%= Info.URL %>"  target="_blank"><%= Info.URL %></a>
				  			<%
				  			}
				  			%>
						</div>
	                </div>
              	</div>
  		</div>	
  	</div>	
	</script>
	 <script type="text/javascript" src="{{ asset('vendor/js/underscore.js') }}"></script>
	<script>
		function openDtlNoticia(idNoticia){
			var urlGetNoticias = "{{path('get_info_noticia')}}"; 
			showLoading("Cargando Información de la Noticia");
			$.post(urlGetNoticias, {idNoticia:idNoticia}, function(data, textStatus, xhr) {

				if(data.estatus == 1){
					var template = _.template(document.getElementById("detalle_noticia").textContent);
	    			var html_flujo = template(data);
	    			$("#body_detalle_noticia").html(html_flujo);
					hideLoading();
					$('#pp_dtl_noticia').modal({
				      backdrop: 'static',
				      keyboard: false
				    });
				}else{
					hideLoading();
					alert(data.mensaje);
				}
				

			});
		}
	</script>
{% endblock %}